Bug 12097 - remounting rw when already rw
remounting rw when already rw
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.0
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-11 16:36 EDT by Idcmp
Modified: 2014-03-16 22:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-16 00:02:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Idcmp 2000-06-11 16:36:03 EDT
rc.sysinit will always attempt to remount root fs to rw even when
the kernel was told to mount the fs rw to begin with 
(rdev -R yourkernel 0).  This causes a hang when the rootfs is NFS.
Comment 1 Bill Nottingham 2000-08-07 01:33:17 EDT
It does?  It shouldn't; mount -o rw,remount of nfs filesystems
works OK here. Or is this a peculiarity of NFS root?
Comment 2 Idcmp 2000-08-07 02:13:10 EDT
line 209 of /etc/rc.d/rc.sysinit of initscripts 5.00 shows:

action "Remounting root filesystem in read-write mode" mount -n -o remount,rw /

I used rdev(8) to *already* bring / up in rw mode.  Issuing this remount to rw
when
it was already rw caused a lockup with NFS root.

Something should check to see if it needs to be remounted.


Comment 3 Idcmp 2000-09-11 14:22:39 EDT
Please fix this?

If /proc is mounted at this point, there should be a line in /proc/mounts for
"/dev/root" which will
say if it's already read-write or not.
Comment 4 Idcmp 2000-10-16 00:01:58 EDT
This bug is still in 7.0.  It is now on line 262 of rc.sysinit.

Comment 5 Bill Nottingham 2000-12-12 02:51:36 EST
Will be fixed in initscripts-5.53-1. Apologies for the delay.
Comment 6 Idcmp 2000-12-12 09:05:05 EST
Thanks for your time!  I look forward to trying it out on my diskless station.

Note You need to log in before you can comment on or make changes to this bug.